## org.eclipse.emf.ocl.parser
Class SemanticException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ocl.parser.ParserException
                  org.eclipse.emf.ocl.parser.SemanticException

All Implemented Interfaces:
  Serializable

Deprecated. Use the `SemanticException` interface, instead.

    @Deprecated
    public class SemanticException

extends ParserException

This exception is thrown when an error is found while building the OCL AST.

See Also:
  Serialized Form

Constructor Summary
`SemanticException(String msg)` Deprecated. Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticException

    public SemanticException(String msg)

  Deprecated.
  Constructor.

  Parameters:
    `msg` - the exception message

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.